cups-filters_1.8.3-2ubuntu3_amd64.deb


Advertisement

Description

cups-filters - OpenPrinting CUPS Filters - Main Package

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package name cups-filters
Package version 1.8.3
Package release 2ubuntu3
Package architecture amd64
Package type deb
Installed size 1.53 KB
Download size 436.93 KB
Official Mirror archive.ubuntu.com
This package provides additional CUPS filters which are not provided
by the CUPS project itself. This includes filters for a PDF based
printing workflow.
This package contains the filters for printing with drivers/PPDs and
for converting non-PDF input files to PDF.

Alternatives

Package Version Architecture Repository
cups-filters_1.8.3-2ubuntu3.4_i386.deb 1.8.3 i386 Ubuntu Updates Main
cups-filters_1.8.3-2ubuntu3.4_amd64.deb 1.8.3 amd64 Ubuntu Updates Main
cups-filters_1.8.3-2ubuntu3_i386.deb 1.8.3 i386 Ubuntu Main
cups-filters - - -

Requires

Name Value
bc -
cups-filters-core-drivers >= 1.8.3-2ubuntu3
ghostscript >= 9.02~
imagemagick >= 6.4~
libc6 >= 2.15
libcups2 >= 1.7.0
libcupsfilters1 >= 1.0.58
libcupsimage2 >= 1.4.0
libfontconfig1 >= 2.11.94
libfontembed1 >= 1.0.31
libgcc1 >= 1:3.0
libijs-0.35 >= 0.35
libpoppler58 >= 0.41.0
libqpdf17 >> 6.0.0~
libstdc++6 >= 5.2
poppler-utils -

Provides

Name Value
foomatic-filters -
foomatic-filters-beh -
ghostscript-cups -

Conflicts

Name Value
foomatic-filters -
foomatic-filters-beh -
ghostscript-cups -

Replaces

Name Value
cups << 1.5.0-16
cups-common << 1.5.0-16
cups-ppdc << 1.6
foomatic-filters -
foomatic-filters-beh -
ghostscript-cups -

Download

Type URL
Binary Package cups-filters_1.8.3-2ubuntu3_amd64.deb
Source Package cups-filters

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install cups-filters deb package:
    # sudo apt-get install cups-filters

Files

Path
/etc/fonts/conf.d/99pdftoopvp.conf
/etc/modules-load.d/cups-filters.conf
/usr/bin/foomatic-rip
/usr/bin/ttfread
/usr/lib/cups/backend/beh
/usr/lib/cups/backend/parallel
/usr/lib/cups/backend/serial
/usr/lib/cups/filter/bannertopdf
/usr/lib/cups/filter/brftoembosser
/usr/lib/cups/filter/commandtoescpx
/usr/lib/cups/filter/commandtopclx
/usr/lib/cups/filter/foomatic-rip
/usr/lib/cups/filter/gstopxl
/usr/lib/cups/filter/gstoraster
/usr/lib/cups/filter/imagetobrf
/usr/lib/cups/filter/imagetops
/usr/lib/cups/filter/imagetoraster
/usr/lib/cups/filter/imagetoubrl
/usr/lib/cups/filter/imageubrltoindexv3
/usr/lib/cups/filter/imageubrltoindexv4
/usr/lib/cups/filter/pdftoijs
/usr/lib/cups/filter/pdftoopvp
/usr/lib/cups/filter/pstopdf
/usr/lib/cups/filter/rastertoescpx
/usr/lib/cups/filter/textbrftoindexv3
/usr/lib/cups/filter/textbrftoindexv4
/usr/lib/cups/filter/textonly
/usr/lib/cups/filter/texttobrf
/usr/lib/cups/filter/texttopdf
/usr/lib/cups/filter/texttops
/usr/lib/cups/filter/urftopdf
/usr/share/apport/package-hooks/source_cups-filters.py
/usr/share/cups/banners/classified
/usr/share/cups/banners/confidential
/usr/share/cups/banners/form
/usr/share/cups/banners/secret
/usr/share/cups/banners/standard
/usr/share/cups/banners/topsecret
/usr/share/cups/banners/unclassified
/usr/share/cups/braille/cups-braille.sh
/usr/share/cups/braille/index.sh
/usr/share/cups/braille/indexv3.sh
/usr/share/cups/braille/indexv4.sh
/usr/share/cups/charsets/pdf.utf-8
/usr/share/cups/charsets/pdf.utf-8.heavy
/usr/share/cups/charsets/pdf.utf-8.simple
/usr/share/cups/data/classified.pdf
/usr/share/cups/data/confidential.pdf
/usr/share/cups/data/default-testpage.pdf
/usr/share/cups/data/default.pdf
/usr/share/cups/data/form_english.pdf
/usr/share/cups/data/form_english_in.odt
/usr/share/cups/data/form_russian.pdf
/usr/share/cups/data/form_russian_in.odt
/usr/share/cups/data/secret.pdf
/usr/share/cups/data/standard.pdf
/usr/share/cups/data/testprint
/usr/share/cups/data/topsecret.pdf
/usr/share/cups/data/unclassified.pdf
/usr/share/cups/drv/cupsfilters.drv
/usr/share/cups/drv/generic-brf.drv
/usr/share/cups/drv/indexv3.drv
/usr/share/cups/drv/indexv4.drv
/usr/share/cups/mime/braille.convs
/usr/share/cups/mime/braille.types
/usr/share/cups/ppd-updaters/cups-filters.ppd-updater
/usr/share/cups/ppdc/braille.defs
/usr/share/cups/ppdc/escp.h
/usr/share/cups/ppdc/fr-braille.po
/usr/share/cups/ppdc/imagemagick.defs
/usr/share/cups/ppdc/index.defs
/usr/share/cups/ppdc/liblouis.defs
/usr/share/cups/ppdc/liblouis1.defs
/usr/share/cups/ppdc/liblouis2.defs
/usr/share/cups/ppdc/liblouis3.defs
/usr/share/cups/ppdc/liblouis4.defs
/usr/share/cups/ppdc/media-braille.defs
/usr/share/cups/ppdc/pcl.h
/usr/share/doc/cups-filters/AUTHORS
/usr/share/doc/cups-filters/README.gz
/usr/share/doc/cups-filters/changelog.Debian.gz
/usr/share/doc/cups-filters/copyright
/usr/share/man/man1/foomatic-rip.1.gz
/usr/share/ppd/cupsfilters/Fuji_Xerox-DocuPrint_CM305_df-PDF.ppd
/usr/share/ppd/cupsfilters/Generic-PDF_Printer-PDF.ppd
/usr/share/ppd/cupsfilters/HP-Color_LaserJet_CM3530_MFP-PDF.ppd
/usr/share/ppd/cupsfilters/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd
/usr/share/ppd/cupsfilters/Ricoh-PDF_Printer-PDF.ppd
/usr/share/ppd/cupsfilters/pxlcolor.ppd
/usr/share/ppd/cupsfilters/pxlmono.ppd
/usr/share/ppd/cupsfilters/textonly.ppd

Changelog

2016-04-20 - Adam Conrad <adconrad@ubuntu.com>
cups-filters (1.8.3-2ubuntu3) xenial; urgency=medium
* Undo cups-filters-lsb and cups-filters-invalid-mta changes, we
will fix this in a more generic way in a post-release update.
2016-03-29 - Till Kamppeter <till.kamppeter@gmail.com>
cups-filters (1.8.3-2ubuntu2) xenial; urgency=medium
* Added Conflicts:/Replaces:/Provides: foomatic-filters-beh to the
cups-filters binary package due to the fact that the beh backend is
now part of cups-filters (LP: #1563686).
2016-03-25 - Till Kamppeter <till.kamppeter@gmail.com>
cups-filters (1.8.3-2ubuntu1) xenial; urgency=medium
* Merge from Debian unstable.  Remaining changes:
- Added the binary packages cups-filters-lsb and cups-filters-invalid-mta
to temporarily replace the dropped LSB support in Debian/Ubuntu which
we need for distribution-independent printer driver packages. This
will be removed as soon as a new concept for distribution-independent
printer driver packages is in place.
- Added build dependency on python3-all-dev for the cups-filters-lsb
binary package.
2016-03-25 - Didier Raboud <odyx@debian.org>
cups-filters (1.8.3-2) unstable; urgency=medium
[ Till Kamppeter ]
* Install the new /usr/share/cups/mime/cupsfilters-ghostscript.convs file
2016-03-24 - Didier Raboud <odyx@debian.org>
cups-filters (1.8.3-1) unstable; urgency=medium
* New upstream release
- cups-browsed: When creating or modifying a local print queue
set the printer-is-shared bit to false in a separate IPP
request as this operation errors on queues directly pointing
to remote CUPS queues with the IPP backend. This way we can
ignore the error and assure that all other settings are
applied (LP: #1560099)
* Refresh debian/copyright to reflect the gstoraster convs file split
2016-02-29 - Didier Raboud <odyx@debian.org>
cups-filters (1.8.2-3) unstable; urgency=medium
* Bump Standards-Version to 3.9.7 without changes needed
* Drop superfluous liblouis-data dependency (Closes: #816304)
2016-02-29 - Sebastien Bacher <seb128@ubuntu.com>
cups-filters (1.8.2-2ubuntu3) xenial; urgency=medium
* No change rebuild with the new poppler soname
2016-02-15 - Till Kamppeter <till.kamppeter@gmail.com>
cups-filters (1.8.2-2ubuntu2) xenial; urgency=medium
* Added build dependency on python3-all-dev for the cups-filters-lsb
binary package.
2016-02-15 - Till Kamppeter <till.kamppeter@gmail.com>
cups-filters (1.8.2-2ubuntu1) xenial; urgency=medium
* Added the binary packages cups-filters-lsb and cups-filters-invalid-mta
to temporarily replace the dropped LSB support in Debian/Ubuntu which
we need for distribution-independent printer driver packages. This
will be removed as soon as a new concept for distribution-independent
printer driver packages is in place.
2016-02-15 - Didier Raboud <odyx@debian.org>
cups-filters (1.8.2-2) unstable; urgency=medium
* Make the liblouis-bin an alternate recommendation of liblouisutdml-bin
(Closes: #813094)

See Also

Package Description
cups-pk-helper_0.2.5-2ubuntu2_amd64.deb PolicyKit helper to configure cups with fine-grained privileges
cups-ppdc_2.1.3-4_amd64.deb Common UNIX Printing System(tm) - PPD manipulation utilities
cups-server-common_2.1.3-4_all.deb Common UNIX Printing System(tm) - server common files
cups_2.1.3-4_amd64.deb Common UNIX Printing System(tm) - PPD/driver support, web interface
curl_7.47.0-1ubuntu2_amd64.deb command line tool for transferring data with URL syntax
curtin-common_0.1.0~bzr365-0ubuntu1_all.deb Library and tools for curtin installer
cvs_1.12.13+real-15_amd64.deb Concurrent Versions System
cyrus-sasl2-doc_2.1.26.dfsg1-14build1_all.deb Cyrus SASL - documentation
dash_0.5.8-2.1ubuntu2_amd64.deb POSIX-compliant shell
db-util_5.3.21~exp1ubuntu2_all.deb Berkeley Database Utilities
db5.3-doc_5.3.28-11_all.deb Berkeley v5.3 Database Documentation [html]
db5.3-util_5.3.28-11_amd64.deb Berkeley v5.3 Database Utilities
dbconfig-common_2.0.4ubuntu1_all.deb framework that helps packages to manage databases
dbconfig-pgsql_2.0.4ubuntu1_all.deb dbconfig-common PostgreSQL support
dbus-1-doc_1.10.6-1ubuntu3_all.deb simple interprocess messaging system (documentation)
Advertisement
Advertisement